Bug 108669 - rpmbuild choke on files ending with % listed in file.list (%files -f file.list)
Summary: rpmbuild choke on files ending with % listed in file.list (%files -f file.list)
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-31 00:16 UTC by Richard Prescott
Modified: 2007-03-27 04:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-26 18:22:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Prescott 2003-10-31 00:16:33 UTC
Description of problem:

In a .spec file, when using %files -f file.list, if one of the files in
file.list finish with a %, rpmbuild choke on this file.  I know it is unusual
but it happens (to me at least).

Version-Release number of selected component (if applicable):

rpm-build-4.2-0.69 on a fresh installed machines + updates.

I didn't test if % is contain within the file neither if the file list is embbed
in the .spec.

How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Jeff Johnson 2003-12-26 18:22:00 UTC
% is used as a marker for macro expansion, escape
(as in rewrite as %%) if you absolutely must have % in a file name.


Note You need to log in before you can comment on or make changes to this bug.